Package twisted :: Package protocols :: Module ident

[frames | no frames]

## Module twisted.protocols.ident

Ident protocol implementation.

API Stability: Unstable

Author: Jp Calderone

Classes
`IdentClient` |
`IdentServer` | The Identification Protocol (a.k.a., "ident", a.k.a., "the Ident Protocol") provides a means to determine the identity of a user of a particular TCP connection.

Exceptions
`HiddenUser` | The server was able to identify the user of this port, but the information was not returned at the request of the user.
`IdentError` | Can't determine connection owner; reason unknown.
`InvalidPort` | Either the local or foreign port was improperly specified.
`NoUser` | The connection specified by the port pair is not currently in use or currently not owned by an identifiable entity.

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net